curl --request PATCH \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bankAccountReference": "<string>",
"nickname": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}"
payload = {
"bankAccountReference": "<string>",
"nickname": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bankAccountReference: '<string>', nickname: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"createdDateTime": "2023-11-07T05:31:56Z",
"routingNumber": "<string>",
"status": "ACTIVE",
"bankAccountReference": "<string>",
"nickname": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Update bank account
Updates a specific bank account. Supports:
- Updating the nickname and/or bankAccountReference
- Closing the account by setting status to CLOSED When closing an account, nickname and bankAccountReference can be updated in the same request, and they will be applied after the account is closed.
Token types: APP, USER | Required scopes: bank_account:write:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The bank account ID.
Body
Request model for updating a bank account.
The reference identifier associated with the bank account. Must be alphanumeric (letters, numbers, hyphens, underscores, and dots) and max 50 characters. Set to null to clear.
The new nickname for the bank account.
The new status for the bank account. Set to CLOSED to close the account.
ACTIVE, CLOSED Response
Bank account updated successfully.
Response model for a bank account.
Unique identifier for the bank account.
Masked account number.
The UTC timestamp when the bank account was created.
Bank routing number.
The status of the bank account.
ACTIVE, CLOSED Reference identifier associated with the bank account.
Nickname for the bank account.
Was this page helpful?